Send Code
curl --request POST \
--url https://api.inprocess.world/api/oauth/code \
--header 'Content-Type: application/json' \
--data '
{
"email": "artist@example.com"
}
'import requests
url = "https://api.inprocess.world/api/oauth/code"
payload = { "email": "artist@example.com" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'artist@example.com'})
};
fetch('https://api.inprocess.world/api/oauth/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "Invalid request body"
}{
"message": "Failed to send code"
}OAuth
Send Code
Send a one-time verification code to the provided email address for email-based OAuth login.
Overview:
This endpoint initiates the email login flow by sending a one-time PIN (OTP) to the account’s email address via Privy.
- Provide a valid email address in the request body.
- A one-time verification code will be sent to that email.
- Use the received code with the Login with OTP endpoint to complete the authentication flow.
POST
/
oauth
/
code
Send Code
⌘I